aboutsummaryrefslogtreecommitdiffstats
path: root/bin/distcenter/entrypoint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/distcenter/entrypoint.sh')
-rwxr-xr-xbin/distcenter/entrypoint.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/distcenter/entrypoint.sh b/bin/distcenter/entrypoint.sh
new file mode 100755
index 0000000..85cdf52
--- /dev/null
+++ b/bin/distcenter/entrypoint.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+cd /createca
+/createca/create_ca.sh
+cd /volume
+DLIST=`ls -d host_*`
+for DIR in $DLIST; do
+ echo $DIR
+ cp /createca/ca/ca.cert /volume/$DIR
+ cd /volume/$DIR
+ /dup/bin/ossl_tpm_duplicate -pemfile /createca/ca/privkey.pem -parentPub /dup/database/$DIR/out_parent_public -dupPub dupPub -dupPriv dupPriv -dupSymSeed dupSymseed -dupEncKey dupEncKey
+done